package com.gree.mall.contest.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.contest.bean.admin.AdminFastEntryVO;
import com.gree.mall.contest.bean.zfire.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface AdminMapper {
    
    @Update("update mp_ma_rela a \n" +
            "join user b on a.union_id= b.union_id \n" +
            "set \n" +
            "\ta.ma_user_id = b.user_id,\n" +
            "\ta.ma_user_name=b.nick_name,\n" +
            "\ta.ma_phone = b.mobile,\n" +
            "\tb.mp_open_id = a.mp_open_id\n" +
            "where a.union_id !='' and a.ma_open_id=''")
    @InterceptorIgnore(tenantLine = "true")
    public void updateMpMaRela();

    @InterceptorIgnore(tenantLine = "true")
    IPage<AdminFastEntryVO> queryAdminFastEntry(Page page, @Param("ex") ZfireParamBean zfireParamBean);
}
